<form class="example-container">
    <h1 mat-dialog-title>Add new Dashboard</h1>

     <mat-form-field>
        <input matInput [(ngModel)]="data.name" placeholder="Name" name="dashboardName" required>
    </mat-form-field>
    
    <mat-form-field>
        <mat-select placeholder="Layout type" [(ngModel)]="data.layout" name="layoutType">
            <mat-option *ngFor="let layoutType of data.layouts" [value]="layoutType.value">
                {{layoutType.viewValue}}
            </mat-option>
        </mat-select>
    </mat-form-field>

    <mat-form-field>
        <mat-select placeholder="Style" [(ngModel)]="data.style" name="styleType">
            <mat-option *ngFor="let styleType of data.styles" [value]="styleType.value">
                {{styleType.viewValue}}
            </mat-option>
        </mat-select>
    </mat-form-field>

    <button mat-raised-button color="primary" [mat-dialog-close]="data">Ok</button>
</form>